import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotZoneFutures/` + url, ...arg)

/**
 * 期货信息Api接口管理器
 *
 * @author xiang
 * @date  2024/01/10 09:54
 **/
export default {
	// 获取期货信息分页
	depotZoneFuturesPage(data) {
		return request('page', data, 'get')
	},
	// 获取期货信息列表
	depotZoneFuturesList(data) {
		return request('list', data, 'get')
	},
	// 提交期货信息表单 edit为true时为编辑，默认为新增
	depotZoneFuturesSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除期货信息
	depotZoneFuturesDelete(data) {
		return request('delete', data)
	},
	// 获取期货信息详情
	depotZoneFuturesDetail(data) {
		return request('detail', data, 'get')
	}
}
